> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Query Status (Alpha)



## OpenAPI

````yaml get /execution/{execution_id}/status
openapi: 3.0.2
info:
  title: Data Cloud Task API
  version: '1.0'
servers:
  - url: https://api.chainbase.com/api/v1
security: []
paths:
  /execution/{execution_id}/status:
    get:
      parameters:
        - name: execution_id
          description: The ID of the execution
          in: path
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/X-API-KEY'
        - $ref: '#/components/parameters/Content-Type'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    format: int32
                    example: 200
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        executionId:
                          type: string
                          example: 4676570409dea44d1d9f8414508b7744
                        status:
                          type: string
                          example: FINISHED
                        queryId:
                          type: integer
                          format: int32
                          example: 0
                        message:
                          type: string
                          example: ''
                        progress:
                          type: integer
                          format: int32
                          example: 100
                        submittedAt:
                          type: string
                          format: date-time
                          example: '2023-12-01T08:48:30.486Z'
                        expiresAt:
                          type: string
                          format: date-time
                          example: '2023-12-01T09:18:31.030Z'
                        executionStartedAt:
                          type: string
                          format: date-time
                          example: '2023-12-01T08:48:31.014Z'
                        executionEndedAt:
                          type: string
                          format: date-time
                          example: '2023-12-01T08:48:31.030Z'
                  message:
                    type: string
                    example: success
        '400':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'query task not found: xxxx'
                  code:
                    type: integer
                    format: int32
                    example: 1001
                  data:
                    type: array
                    example: []
components:
  parameters:
    X-API-KEY:
      name: X-API-KEY
      in: header
      required: true
      schema:
        type: string
    Content-Type:
      name: Content-Type
      in: header
      required: true
      schema:
        type: string
        example: application/json

````